futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Fmt.Printer

Description

The actual implementation of `futhark fmt`.

Synopsis

- fmtToText :: String -> Text -> Either SyntaxError Text
- fmtToDoc :: String -> Text -> Either SyntaxError (Doc AnsiStyle)

# Documentation

fmtToText :: String -> Text -> Either SyntaxError Text Source #

Given a filename and a futhark program, formats the program as text.

fmtToDoc :: String -> Text -> Either SyntaxError (Doc AnsiStyle) Source #

Given a filename and a futhark program, formats the program.